Bug 567022 - Segfault when passed a non-existant file to -E
Segfault when passed a non-existant file to -E
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cpio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 567655
  Show dependency treegraph
 
Reported: 2010-02-21 00:43 EST by Conrad Meyer
Modified: 2010-03-23 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: cpio-2.9.90-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 567655 (view as bug list)
Environment:
Last Closed: 2010-03-04 22:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix segfault with nonexistant file with patterns (1.45 KB, patch)
2010-02-22 07:16 EST, Ondrej Vasik
no flags Details | Diff

  None (edit)
Description Conrad Meyer 2010-02-21 00:43:08 EST
Bug has already been reported to upstream, this is just for tracking; we should patch it either now or when upstream fixes it.

Upstream bug url:
http://savannah.gnu.org/bugs/index.php?28954
Comment 1 Ondrej Vasik 2010-02-22 07:16:20 EST
Created attachment 395458 [details]
patch to fix segfault with nonexistant file with patterns

Thanks for report and analysis. As -E option just reads additional patterns, I would prefer to skip reading of those patterns when fopen is not succesful instead of simple exit.
Comment 2 Conrad Meyer 2010-02-22 10:24:38 EST
Sure, that sounds like a reasonable behavior.
Comment 3 Fedora Update System 2010-02-25 04:20:31 EST
cpio-2.10-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cpio-2.10-5.fc13
Comment 4 Fedora Update System 2010-02-25 04:21:28 EST
cpio-2.10-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cpio-2.10-4.fc12
Comment 5 Fedora Update System 2010-02-25 04:22:46 EST
cpio-2.9.90-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cpio-2.9.90-7.fc11
Comment 6 Fedora Update System 2010-02-25 07:47:12 EST
cpio-2.10-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2859
Comment 7 Fedora Update System 2010-02-25 22:36:04 EST
cpio-2.10-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2895
Comment 8 Fedora Update System 2010-02-25 22:38:29 EST
cpio-2.9.90-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2927
Comment 9 Fedora Update System 2010-03-04 22:33:22 EST
cpio-2.10-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-03-08 22:16:33 EST
cpio-2.10-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-03-23 19:33:57 EDT
cpio-2.9.90-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.